Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Malloc_Lock_Adapter_T< ACE_Process_Semaphore > Class Template Reference

Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Process_Semaphore. More...

`#include <Process_Semaphore.h>`

List of all members.

## Public Member Functions
ACE_Process_Semaphore * | operator() (const ACE_TCHAR *name)

## Detailed Description

### template<>
class ACE_Malloc_Lock_Adapter_T< ACE_Process_Semaphore >

Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Process_Semaphore.

This is needed since the ctor for ACE_Process_Semaphore doesn't match the standard form used by other lock strategy classes.

## Member Function Documentation

ACE_Process_Semaphore * ACE_Malloc_Lock_Adapter_T< ACE_Process_Semaphore >::operator() | ( | const ACE_TCHAR * | name | ) |

The documentation for this class was generated from the following files:

- Process_Semaphore.h
- Process_Semaphore.cpp